<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\StickerMappingMaster;
use App\Models\User;

class StickerMappingMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any StickerMappingMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('view StickerMappingMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create StickerMappingMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('update StickerMappingMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('delete StickerMappingMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any StickerMappingMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('restore StickerMappingMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any StickerMappingMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('replicate StickerMappingMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder StickerMappingMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StickerMappingMaster $stickermappingmaster): bool
    {
        return $user->checkPermissionTo('force-delete StickerMappingMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any StickerMappingMaster');
    }
}
